package com.itechnica.svg.draw {
	import flash.geom.Point;
	import flash.display.Graphics;	

	public class MoveCommand extends DrawingCommand implements IDrawable {

		private var targetPoint:Point;
		
		public function MoveCommand(target:Point) {
			initInstance(target);
		}
		
		private function initInstance(target:Point):void {
			targetPoint = target;
		}
		
		public function get target ():Point {
			return targetPoint;
		}
		public function set target (value:Point):void {
			targetPoint = value;
		}
		
		public function draw(target:Graphics):void {
			target.moveTo(targetPoint.x, targetPoint.y);
		}
		
		override public function toString() : String {
			return "moveTo(" + targetPoint.x + ", " + targetPoint.y + ")";
		}
		
		
		
	}
}
